<template lang="pug">
title-bar( icon="plus-circle" @click='$router.push({ name: "CarCreate" })' ) {{ $t("default.nav.autos") }}
b-container
	.tile.is-ancestor
		.tile.is-parent
			b-card.tile.is-child
				cars-table( :cars='cars' :loading='pending' buttons )
</template>

<script setup>
	import CarsTable from "@/components/car/Table.vue"
	import BTable from "@/components/table/Table.vue"

	import { onMounted, computed } from "vue"
	import { useCarStore } from "@/stores/car"

	const cs = useCarStore()

	const url = `//${import.meta.env.VITE_API_URI}`

	const cars = computed(() => cs.cars)
	const pending = computed(() => cs.pending)

	const fetch = async () => {
		await cs.getCars()
	}

	onMounted(fetch)
</script>